## org.apache.mahout.math.map
Class OpenIntByteHashMap.MapIterator

    java.lang.Object
      org.apache.mahout.math.map.OpenIntByteHashMap.MapIterator

All Implemented Interfaces:
  Iterator<OpenIntByteHashMap.MapElement>

Enclosing class:
  OpenIntByteHashMap

    public final class OpenIntByteHashMap.MapIterator

extends Object
implements Iterator<OpenIntByteHashMap.MapElement>

Method Summary
`boolean` `hasNext()`
`OpenIntByteHashMap.MapElement` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<OpenIntByteHashMap.MapElement>`

### next

    public OpenIntByteHashMap.MapElement next()

  Specified by:
    `next` in interface `Iterator<OpenIntByteHashMap.MapElement>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<OpenIntByteHashMap.MapElement>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.